Bug 621825 - [abrt] gnome-keyring-2.31.4-2.fc14: g_str_hash: Process /usr/bin/gnome-keyring-daemon was killed by signal 11 (SIGSEGV)
[abrt] gnome-keyring-2.31.4-2.fc14: g_str_hash: Process /usr/bin/gnome-keyrin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
abrt_hash:ea729822c1e148c56fa1dc77a0a...
:
Depends On:
Blocks: F14Blocker/F14FinalBlocker
  Show dependency treegraph
 
Reported: 2010-08-06 04:37 EDT by Joachim Frieben
Modified: 2015-03-03 17:51 EST (History)
10 users (show)

See Also:
Fixed In Version: gnome-keyring-2.31.92-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-22 05:16:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (9.99 KB, text/plain)
2010-08-06 04:37 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2010-08-06 04:37:45 EDT
abrt version: 1.1.10
architecture: i686
Attached file: backtrace
cmdline: /usr/bin/gnome-keyring-daemon --start --components=secrets
component: gnome-keyring
crash_function: g_str_hash
executable: /usr/bin/gnome-keyring-daemon
kernel: 2.6.35-0.57.rc6.git1.fc14.i686
package: gnome-keyring-2.31.4-2.fc14
rating: 4
reason: Process /usr/bin/gnome-keyring-daemon was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Branched)
time: 1281104800
uid: 500

How to reproduce
-----
1. Enter WEP key in nm-applet.
Comment 1 Joachim Frieben 2010-08-06 04:37:48 EDT
Created attachment 437069 [details]
File: backtrace
Comment 2 Michal Schmidt 2010-08-12 07:22:39 EDT
Package: gnome-keyring-2.31.4-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Branched)


How to reproduce
-----
1. I started gajim for the first time on this system
2. I filled in my JID and password
3. I was asked to provide a password for a login keyring, which I did.


Comment
-----
gajim received an exception from gnomekeyring:

Traceback (most recent call last):
  File "/usr/share/gajim/src/config.py", line 3325, in on_forward_button_clicked
    self.save_account(username, server, savepass, password)
  File "/usr/share/gajim/src/config.py", line 3583, in save_account
    con = connection.Connection(self.account)
  File "/usr/share/gajim/src/common/connection.py", line 143, in __init__
    self.password = passwords.get_password(name)
  File "/usr/share/gajim/src/common/passwords.py", line 219, in get_password
    return get_storage().get_password(account_name)
  File "/usr/share/gajim/src/common/passwords.py", line 199, in get_storage
    storage = GnomePasswordStorage()
  File "/usr/share/gajim/src/common/passwords.py", line 68, in __init__
    gnomekeyring.create_sync(self.keyring, None)
gnomekeyring.IOError
Comment 3 Sandro Mathys 2010-08-13 17:44:19 EDT
Package: gnome-keyring-2.31.4-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Branched)


How to reproduce
-----
1. in sealert, I clicked the checkbox to save my bz information into keyring
2. instead of saving the data, gnome-keyring crashed instantly
3.
Comment 4 Thomas Spura 2010-08-16 10:03:34 EDT
Package: gnome-keyring-2.31.4-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Branched)


How to reproduce
-----
1. Boot with alpha rc4 XFCE
2. connect to a WPA secured WLAN
3. abrt showing up
Comment 5 Thomas Spura 2010-08-16 10:10:50 EDT
This bug breaks this final testcase:
https://fedoraproject.org/wiki/QA:Testcase_desktop_keyring

-> blocking F14Blocker
Comment 6 Jon Laslow 2010-09-01 01:15:20 EDT
Package: gnome-keyring-2.31.4-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. NetworkManager launched on startup as normal.
2. Connected to my wireless network.
3. Entered my WPA2 key.
4. Gnome-Keyring crashed when attempting to store the password.

Any other processes attempting to save a password to gnome-keyring generate a similar crash.


Comment
-----
Launch any process that will store a password using gnome-keyring. Attempt to save the password.
Comment 7 Michal Schmidt 2010-09-01 06:34:12 EDT
Another way to reproduce the crash is:
1. Run 'seahorse'
2. File -> New... -> Password Keyring
3. Type anything as 'New keyring name', e.g. 'foo', and press Add.

If "gnome-keyring-daemon -f" is run in a terminal, just before the crash it outputs:
(gnome-keyring-daemon:5179): GLib-GObject-CRITICAL **: g_value_set_boxed: assertion `G_VALUE_HOLDS_BOXED (value)' failed
Comment 8 Michal Schmidt 2010-09-02 04:23:55 EDT
https://admin.fedoraproject.org/updates/gnome-keyring-2.31.91-1.fc14 fixes it for me.
Comment 9 Reinout van Schouwen 2010-09-15 04:19:57 EDT
Package: gnome-keyring-2.31.4-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Start Gajim
2. Enter Google Talk account info in account wizard
3. Click Next

Note You need to log in before you can comment on or make changes to this bug.